<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.840.10008.9.11
Name: Communication of Actionable Findings
Description: A section that documents the notification of an actionable finding to a provider or other person responsible for patient care. The documentation in narrative text, and optionally in a coded entry, includes by whom, to whom, and at what date/time. Specific findings, including actionable (aka. critical) findings documented in text or as coded entries, are typically
                found in the 9.5 Findings. The actionable findings may be duplicated in the 9.6 Impression in either text or as coded entries. The actionable findings may be new (critical) or a change to a previous report/diagnosis (discrepant). 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.840.10008.9.11-2021-06-22T111034">
   <title>Communication of Actionable Findings</title>
   <!--
Template derived rules for ID: 1.2.840.10008.9.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]
Item: (CommunicationActionableFindings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]"
         id="d42e704-false-d3191e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]) &gt;= 1">(CommunicationActionableFindings): element hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]) &lt;= 1">(CommunicationActionableFindings): element hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]
Item: (CommunicationActionableFindings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]"
         id="d42e778-false-d3208e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.11']) &gt;= 1">(CommunicationActionableFindings): element hl7:templateId[@root = '1.2.840.10008.9.11'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.11']) &lt;= 1">(CommunicationActionableFindings): element hl7:templateId[@root = '1.2.840.10008.9.11'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:id) &gt;= 1">(CommunicationActionableFindings): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:code[(@code = '73568-8' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(CommunicationActionableFindings): element hl7:code[(@code = '73568-8' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:code[(@code = '73568-8' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(CommunicationActionableFindings): element hl7:code[(@code = '73568-8' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:title) &gt;= 1">(CommunicationActionableFindings): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:title) &lt;= 1">(CommunicationActionableFindings): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:text) &gt;= 1">(CommunicationActionableFindings): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:text) &lt;= 1">(CommunicationActionableFindings): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:templateId[@root = '1.2.840.10008.9.11']
Item: (CommunicationActionableFindings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:templateId[@root = '1.2.840.10008.9.11']"
         id="d42e780-false-d3261e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(CommunicationActionableFindings): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="string(@root) = ('1.2.840.10008.9.11')">(CommunicationActionableFindings): The value for root SHALL be '1.2.840.10008.9.11'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:id
Item: (CommunicationActionableFindings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:id"
         id="d42e785-false-d3275e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(CommunicationActionableFindings): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:code[(@code = '73568-8' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (CommunicationActionableFindings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:code[(@code = '73568-8' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e787-false-d3286e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(CommunicationActionableFindings): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="@nullFlavor or (@code='73568-8' and @codeSystem='2.16.840.1.113883.6.1')">(CommunicationActionableFindings): The element value SHALL be one of 'code '73568-8' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:title
Item: (CommunicationActionableFindings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:title"
         id="d42e792-false-d3302e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(CommunicationActionableFindings): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:text
Item: (CommunicationActionableFindings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:text"
         id="d42e794-false-d3312e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(CommunicationActionableFindings): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:text/hl7:content
Item: (CommunicationActionableFindings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:text/hl7:content"
         id="d42e796-false-d3326e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(CommunicationActionableFindings): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="@id">(CommunicationActionableFindings): attribute @id SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:text/hl7:content/hl7:linkHtml
Item: (CommunicationActionableFindings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:text/hl7:content/hl7:linkHtml"
         id="d42e800-false-d3344e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(CommunicationActionableFindings): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="@href">(CommunicationActionableFindings): attribute @href SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]
Item: (CommunicationActionableFindings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]"
         id="d42e811-false-d3360e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &gt;= 1">(CommunicationActionableFindings): element hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &lt;= 1">(CommunicationActionableFindings): element hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]
Item: (CommunicationActionableFindings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]"
         id="d42e813-false-d3378e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="@ID">(CommunicationActionableFindings): attribute @ID SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="string(@moodCode) = ('EVN')">(CommunicationActionableFindings): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="string(@classCode) = ('ACT')">(CommunicationActionableFindings): The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &gt;= 1">(CommunicationActionableFindings): element hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &lt;= 1">(CommunicationActionableFindings): element hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:effectiveTime) &gt;= 1">(CommunicationActionableFindings): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:effectiveTime) &lt;= 1">(CommunicationActionableFindings): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:text) &gt;= 1">(CommunicationActionableFindings): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:text) &lt;= 1">(CommunicationActionableFindings): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:performer[hl7:assignedEntity]) &gt;= 1">(CommunicationActionableFindings): element hl7:performer[hl7:assignedEntity] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:performer[hl7:assignedEntity]) &lt;= 1">(CommunicationActionableFindings): element hl7:performer[hl7:assignedEntity] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:participant[@typeCode = 'NOT'][hl7:participantRole]) &gt;= 1">(CommunicationActionableFindings): element hl7:participant[@typeCode = 'NOT'][hl7:participantRole] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:participant[@typeCode = 'NOT'][hl7:participantRole]) &lt;= 1">(CommunicationActionableFindings): element hl7:participant[@typeCode = 'NOT'][hl7:participantRole] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]
Item: (CommunicationActionableFindings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]"
         id="d42e821-false-d3440e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(CommunicationActionableFindings): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="@nullFlavor or (@code='121291' and @codeSystem='1.2.840.10008.2.16.4')">(CommunicationActionableFindings): The element value SHALL be one of 'code '121291' codeSystem '1.2.840.10008.2.16.4''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:effectiveTime
Item: (CommunicationActionableFindings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:effectiveTime"
         id="d42e826-false-d3456e0">
      <extends rule="TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(CommunicationActionableFindings): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="not(*)">(CommunicationActionableFindings): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:text
Item: (CommunicationActionableFindings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:text"
         id="d42e829-false-d3469e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(CommunicationActionableFindings): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:reference) &gt;= 1">(CommunicationActionableFindings): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:reference) &lt;= 1">(CommunicationActionableFindings): element hl7:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:text/hl7:reference
Item: (CommunicationActionableFindings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:text/hl7:reference"
         id="d42e831-false-d3488e0">
      <extends rule="URL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(CommunicationActionableFindings): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:URL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:performer[hl7:assignedEntity]
Item: (CommunicationActionableFindings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:performer[hl7:assignedEntity]"
         id="d42e834-false-d3498e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:assignedEntity[hl7:assignedPerson]) &gt;= 1">(CommunicationActionableFindings): element hl7:assignedEntity[hl7:assignedPerson] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:assignedEntity[hl7:assignedPerson]) &lt;= 1">(CommunicationActionableFindings): element hl7:assignedEntity[hl7:assignedPerson] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[hl7:assignedPerson]
Item: (CommunicationActionableFindings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[hl7:assignedPerson]"
         id="d42e851-false-d3514e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:assignedPerson) &gt;= 1">(CommunicationActionableFindings): element hl7:assignedPerson is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:assignedPerson) &lt;= 1">(CommunicationActionableFindings): element hl7:assignedPerson appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[hl7:assignedPerson]/hl7:assignedPerson
Item: (CommunicationActionableFindings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[hl7:assignedPerson]/hl7:assignedPerson"
         id="d42e853-false-d3530e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:name) &gt;= 1">(CommunicationActionableFindings): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:name) &lt;= 1">(CommunicationActionableFindings): element hl7:name appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[hl7:assignedPerson]/hl7:assignedPerson/hl7:name
Item: (CommunicationActionableFindings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[hl7:assignedPerson]/hl7:assignedPerson/hl7:name"
         id="d42e855-false-d3546e0">
      <extends rule="PN"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(CommunicationActionableFindings): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:participant[@typeCode = 'NOT'][hl7:participantRole]
Item: (CommunicationActionableFindings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:participant[@typeCode = 'NOT'][hl7:participantRole]"
         id="d42e860-false-d3556e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="string(@typeCode) = ('NOT')">(CommunicationActionableFindings): The value for typeCode SHALL be 'NOT'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:participantRole[hl7:playingEntity]) &gt;= 1">(CommunicationActionableFindings): element hl7:participantRole[hl7:playingEntity] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:participantRole[hl7:playingEntity]) &lt;= 1">(CommunicationActionableFindings): element hl7:participantRole[hl7:playingEntity] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:participant[@typeCode = 'NOT'][hl7:participantRole]/hl7:participantRole[hl7:playingEntity]
Item: (CommunicationActionableFindings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:participant[@typeCode = 'NOT'][hl7:participantRole]/hl7:participantRole[hl7:playingEntity]"
         id="d42e881-false-d3576e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:telecom) &gt;= 1">(CommunicationActionableFindings): element hl7:telecom is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:telecom) &lt;= 1">(CommunicationActionableFindings): element hl7:telecom appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:playingEntity) &gt;= 1">(CommunicationActionableFindings): element hl7:playingEntity is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:playingEntity) &lt;= 1">(CommunicationActionableFindings): element hl7:playingEntity appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:participant[@typeCode = 'NOT'][hl7:participantRole]/hl7:participantRole[hl7:playingEntity]/hl7:telecom
Item: (CommunicationActionableFindings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:participant[@typeCode = 'NOT'][hl7:participantRole]/hl7:participantRole[hl7:playingEntity]/hl7:telecom"
         id="d42e883-false-d3600e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(CommunicationActionableFindings): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:participant[@typeCode = 'NOT'][hl7:participantRole]/hl7:participantRole[hl7:playingEntity]/hl7:playingEntity
Item: (CommunicationActionableFindings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:participant[@typeCode = 'NOT'][hl7:participantRole]/hl7:participantRole[hl7:playingEntity]/hl7:playingEntity"
         id="d42e885-false-d3610e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:name) &gt;= 1">(CommunicationActionableFindings): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="count(hl7:name) &lt;= 1">(CommunicationActionableFindings): element hl7:name appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:participant[@typeCode = 'NOT'][hl7:participantRole]/hl7:participantRole[hl7:playingEntity]/hl7:playingEntity/hl7:name
Item: (CommunicationActionableFindings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]/hl7:entry[hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:act[hl7:code[(@code = '121291' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:participant[@typeCode = 'NOT'][hl7:participantRole]/hl7:participantRole[hl7:playingEntity]/hl7:playingEntity/hl7:name"
         id="d42e887-false-d3626e0">
      <extends rule="PN"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.11-2021-06-22T111034.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(CommunicationActionableFindings): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
