<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.840.10008.9.12
Name: Recommendation
Description: This section provides a separate section to describe the study interpreter's recommendations for follow-up studies or procedures.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.840.10008.9.12-2021-06-22T121821">
   <title>Recommendation</title>
   <!--
Template derived rules for ID: 1.2.840.10008.9.12
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]
Item: (Recommendation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]"
         id="d42e896-false-d3644e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]) &gt;= 1">(Recommendation): element hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]) &lt;= 1">(Recommendation): element hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.12
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]
Item: (Recommendation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]"
         id="d42e945-false-d3661e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.12']) &gt;= 1">(Recommendation): element hl7:templateId[@root = '1.2.840.10008.9.12'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.12']) &lt;= 1">(Recommendation): element hl7:templateId[@root = '1.2.840.10008.9.12'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="count(hl7:id) &gt;= 1">(Recommendation): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="count(hl7:code[(@code = '18783-1' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(Recommendation): element hl7:code[(@code = '18783-1' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="count(hl7:code[(@code = '18783-1' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(Recommendation): element hl7:code[(@code = '18783-1' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="count(hl7:title) &lt;= 1">(Recommendation): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="count(hl7:text) &lt;= 1">(Recommendation): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.12
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]/hl7:templateId[@root = '1.2.840.10008.9.12']
Item: (Recommendation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]/hl7:templateId[@root = '1.2.840.10008.9.12']"
         id="d42e947-false-d3709e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Recommendation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="string(@root) = ('1.2.840.10008.9.12')">(Recommendation): The value for root SHALL be '1.2.840.10008.9.12'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.12
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]/hl7:id
Item: (Recommendation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]/hl7:id"
         id="d42e952-false-d3723e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Recommendation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.12
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]/hl7:code[(@code = '18783-1' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Recommendation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]/hl7:code[(@code = '18783-1' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e954-false-d3734e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(Recommendation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="@nullFlavor or (@code='18783-1' and @codeSystem='2.16.840.1.113883.6.1')">(Recommendation): The element value SHALL be one of 'code '18783-1' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.12
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]/hl7:title
Item: (Recommendation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]/hl7:title"
         id="d42e959-false-d3750e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Recommendation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.12
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]/hl7:text
Item: (Recommendation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]/hl7:text"
         id="d42e961-false-d3760e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(Recommendation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.12
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]/hl7:text/hl7:content
Item: (Recommendation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]/hl7:text/hl7:content"
         id="d42e975-false-d3774e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Recommendation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="@ID">(Recommendation): attribute @ID SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="count(hl7:linkHtml) &lt;= 1">(Recommendation): element hl7:linkHtml appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.12
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]/hl7:text/hl7:content/hl7:linkHtml
Item: (Recommendation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]/hl7:text/hl7:content/hl7:linkHtml"
         id="d42e979-false-d3795e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Recommendation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="@href">(Recommendation): attribute @href SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.12
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]/hl7:entry[hl7:procedure[@classCode = 'PROC'][@moodCode = 'PRP']]
Item: (Recommendation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]/hl7:entry[hl7:procedure[@classCode = 'PROC'][@moodCode = 'PRP']]"
         id="d42e987-false-d3810e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="count(hl7:procedure[@classCode = 'PROC'][@moodCode = 'PRP']) &gt;= 1">(Recommendation): element hl7:procedure[@classCode = 'PROC'][@moodCode = 'PRP'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="count(hl7:procedure[@classCode = 'PROC'][@moodCode = 'PRP']) &lt;= 1">(Recommendation): element hl7:procedure[@classCode = 'PROC'][@moodCode = 'PRP'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.12
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]/hl7:entry[hl7:procedure[@classCode = 'PROC'][@moodCode = 'PRP']]/hl7:procedure[@classCode = 'PROC'][@moodCode = 'PRP']
Item: (Recommendation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]/hl7:entry[hl7:procedure[@classCode = 'PROC'][@moodCode = 'PRP']]/hl7:procedure[@classCode = 'PROC'][@moodCode = 'PRP']"
         id="d42e1010-false-d3826e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="string(@moodCode) = ('PRP')">(Recommendation): The value for moodCode SHALL be 'PRP'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="string(@classCode) = ('PROC')">(Recommendation): The value for classCode SHALL be 'PROC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="count(hl7:code) &gt;= 1">(Recommendation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="count(hl7:code) &lt;= 1">(Recommendation): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="count(hl7:effectiveTime) &gt;= 1">(Recommendation): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Recommendation): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="count(hl7:text) &gt;= 1">(Recommendation): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="count(hl7:text) &lt;= 1">(Recommendation): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.12
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]/hl7:entry[hl7:procedure[@classCode = 'PROC'][@moodCode = 'PRP']]/hl7:procedure[@classCode = 'PROC'][@moodCode = 'PRP']/hl7:code
Item: (Recommendation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]/hl7:entry[hl7:procedure[@classCode = 'PROC'][@moodCode = 'PRP']]/hl7:procedure[@classCode = 'PROC'][@moodCode = 'PRP']/hl7:code"
         id="d42e1016-false-d3866e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(Recommendation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.12
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]/hl7:entry[hl7:procedure[@classCode = 'PROC'][@moodCode = 'PRP']]/hl7:procedure[@classCode = 'PROC'][@moodCode = 'PRP']/hl7:effectiveTime
Item: (Recommendation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]/hl7:entry[hl7:procedure[@classCode = 'PROC'][@moodCode = 'PRP']]/hl7:procedure[@classCode = 'PROC'][@moodCode = 'PRP']/hl7:effectiveTime"
         id="d42e1021-false-d3876e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(Recommendation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.12
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]/hl7:entry[hl7:procedure[@classCode = 'PROC'][@moodCode = 'PRP']]/hl7:procedure[@classCode = 'PROC'][@moodCode = 'PRP']/hl7:text
Item: (Recommendation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]/hl7:entry[hl7:procedure[@classCode = 'PROC'][@moodCode = 'PRP']]/hl7:procedure[@classCode = 'PROC'][@moodCode = 'PRP']/hl7:text"
         id="d42e1023-false-d3886e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(Recommendation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="count(hl7:reference) &gt;= 1">(Recommendation): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="count(hl7:reference) &lt;= 1">(Recommendation): element hl7:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.12
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]/hl7:entry[hl7:procedure[@classCode = 'PROC'][@moodCode = 'PRP']]/hl7:procedure[@classCode = 'PROC'][@moodCode = 'PRP']/hl7:text/hl7:reference
Item: (Recommendation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]/hl7:entry[hl7:procedure[@classCode = 'PROC'][@moodCode = 'PRP']]/hl7:procedure[@classCode = 'PROC'][@moodCode = 'PRP']/hl7:text/hl7:reference"
         id="d42e1025-false-d3905e0">
      <extends rule="URL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.12-2021-06-22T121821.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(Recommendation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:URL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
