<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.840.10008.9.14
Name: Procedure Technique
Description: The Procedure Technique entry allows the encoding of various parameters of the image acquisition. Other details may be found in other entries (e.g., procedural medication). 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.840.10008.9.14-2021-06-22T094316">
   <title>Procedure Technique</title>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]"
         id="d42e1183-false-d4211e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]) &gt;= 1">(ProcedureTechnique): element hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]) &lt;= 1">(ProcedureTechnique): element hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]"
         id="d42e1218-false-d4228e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="string(@moodCode) = ('EVN')">(ProcedureTechnique): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="string(@classCode) = ('PROC')">(ProcedureTechnique): The value for classCode SHALL be 'PROC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.14']) &gt;= 1">(ProcedureTechnique): element hl7:templateId[@root = '1.2.840.10008.9.14'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.14']) &lt;= 1">(ProcedureTechnique): element hl7:templateId[@root = '1.2.840.10008.9.14'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:id) &gt;= 1">(ProcedureTechnique): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:id) &lt;= 1">(ProcedureTechnique): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:code) &gt;= 1">(ProcedureTechnique): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:code) &lt;= 1">(ProcedureTechnique): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:text) &lt;= 1">(ProcedureTechnique): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:effectiveTime) &lt;= 1">(ProcedureTechnique): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:methodCode) &gt;= 1">(ProcedureTechnique): element hl7:methodCode is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]) &lt;= 1">(ProcedureTechnique): element hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:templateId[@root = '1.2.840.10008.9.14']
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:templateId[@root = '1.2.840.10008.9.14']"
         id="d42e1224-false-d4302e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="string(@root) = ('1.2.840.10008.9.14')">(ProcedureTechnique): The value for root SHALL be '1.2.840.10008.9.14'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:id
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:id"
         id="d42e1229-false-d4316e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:code
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:code"
         id="d42e1231-false-d4326e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:text
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:text"
         id="d42e1234-false-d4336e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:reference) &gt;= 1">(ProcedureTechnique): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:reference) &lt;= 1">(ProcedureTechnique): element hl7:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:text/hl7:reference
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:text/hl7:reference"
         id="d42e1236-false-d4352e0">
      <extends rule="URL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(ProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:URL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:effectiveTime
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:effectiveTime"
         id="d42e1239-false-d4362e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(ProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:methodCode
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:methodCode"
         id="d42e1241-false-d4372e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:methodCode
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:methodCode"
         id="d42e1243-false-d4382e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:targetSiteCode
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:targetSiteCode"
         id="d42e1245-false-d4392e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:qualifier) &lt;= 1">(ProcedureTechnique): element hl7:qualifier appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:targetSiteCode/hl7:qualifier
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:targetSiteCode/hl7:qualifier"
         id="d42e1260-false-d4409e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:name) &gt;= 1">(ProcedureTechnique): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:name) &lt;= 1">(ProcedureTechnique): element hl7:name appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:value) &gt;= 1">(ProcedureTechnique): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:value) &lt;= 1">(ProcedureTechnique): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:targetSiteCode/hl7:qualifier/hl7:name
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:targetSiteCode/hl7:qualifier/hl7:name"
         id="d42e1262-false-d4433e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:targetSiteCode/hl7:qualifier/hl7:value
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:targetSiteCode/hl7:qualifier/hl7:value"
         id="d42e1264-false-d4443e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]"
         id="d42e1268-false-d4453e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="string(@typeCode) = ('LOC')">(ProcedureTechnique): The value for typeCode SHALL be 'LOC'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity]) &gt;= 1">(ProcedureTechnique): element hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity]) &lt;= 1">(ProcedureTechnique): element hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]/hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity]
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]/hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity]"
         id="d42e1287-false-d4473e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="string(@classCode) = ('SDLOC')">(ProcedureTechnique): The value for classCode SHALL be 'SDLOC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:scopingEntity) &gt;= 1">(ProcedureTechnique): element hl7:scopingEntity is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:scopingEntity) &lt;= 1">(ProcedureTechnique): element hl7:scopingEntity appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]/hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity]/hl7:scopingEntity
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]/hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity]/hl7:scopingEntity"
         id="d42e1291-false-d4493e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:desc) &gt;= 1">(ProcedureTechnique): element hl7:desc is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:desc) &lt;= 1">(ProcedureTechnique): element hl7:desc appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]/hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity]/hl7:scopingEntity/hl7:desc
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]/hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity]/hl7:scopingEntity/hl7:desc"
         id="d42e1293-false-d4509e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(ProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
