<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.840.10008.9.15
Name: Image Quality
Description: Provides a quality assessment for the image set identified by the invoking section. By default unless otherwise identified, applies to the image set interpreted by the document (typically a Study). If the quality rating applies to only a subset of the Study (e.g., a Series, or a specific Image), that subset shall be identified in the invoking section. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.840.10008.9.15-2021-06-22T110623">
   <title>Image Quality</title>
   <!--
Template derived rules for ID: 1.2.840.10008.9.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]]
Item: (ImageQuality)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]]"
         id="d42e1300-false-d4526e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.15-2021-06-22T110623.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]) &gt;= 1">(ImageQuality): element hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.15-2021-06-22T110623.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]) &lt;= 1">(ImageQuality): element hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]
Item: (ImageQuality)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]"
         id="d42e1333-false-d4543e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.15-2021-06-22T110623.html"
              test="string(@moodCode) = ('EVN')">(ImageQuality): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.15-2021-06-22T110623.html"
              test="string(@classCode) = ('OBS')">(ImageQuality): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.15-2021-06-22T110623.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.15']) &gt;= 1">(ImageQuality): element hl7:templateId[@root = '1.2.840.10008.9.15'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.15-2021-06-22T110623.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.15']) &lt;= 1">(ImageQuality): element hl7:templateId[@root = '1.2.840.10008.9.15'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.15-2021-06-22T110623.html"
              test="count(hl7:id) &gt;= 1">(ImageQuality): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.15-2021-06-22T110623.html"
              test="count(hl7:id) &lt;= 1">(ImageQuality): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.15-2021-06-22T110623.html"
              test="count(hl7:code[(@code = '111050' and @codeSystem = '1.2.840.10008.2.6.1') or @nullFlavor]) &gt;= 1">(ImageQuality): element hl7:code[(@code = '111050' and @codeSystem = '1.2.840.10008.2.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.15-2021-06-22T110623.html"
              test="count(hl7:code[(@code = '111050' and @codeSystem = '1.2.840.10008.2.6.1') or @nullFlavor]) &lt;= 1">(ImageQuality): element hl7:code[(@code = '111050' and @codeSystem = '1.2.840.10008.2.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.15-2021-06-22T110623.html"
              test="count(hl7:text) &lt;= 1">(ImageQuality): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.15-2021-06-22T110623.html"
              test="count(hl7:statusCode) &gt;= 1">(ImageQuality): element hl7:statusCode is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.15-2021-06-22T110623.html"
              test="count(hl7:statusCode) &lt;= 1">(ImageQuality): element hl7:statusCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.15-2021-06-22T110623.html"
              test="count(hl7:value[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')]) &gt;= 1">(ImageQuality): element hl7:value[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.15-2021-06-22T110623.html"
              test="count(hl7:value[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')]) &lt;= 1">(ImageQuality): element hl7:value[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]/hl7:templateId[@root = '1.2.840.10008.9.15']
Item: (ImageQuality)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]/hl7:templateId[@root = '1.2.840.10008.9.15']"
         id="d42e1339-false-d4608e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.15-2021-06-22T110623.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ImageQuality): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.15-2021-06-22T110623.html"
              test="string(@root) = ('1.2.840.10008.9.15')">(ImageQuality): The value for root SHALL be '1.2.840.10008.9.15'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]/hl7:id
Item: (ImageQuality)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]/hl7:id"
         id="d42e1344-false-d4622e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.15-2021-06-22T110623.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ImageQuality): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]/hl7:code[(@code = '111050' and @codeSystem = '1.2.840.10008.2.6.1') or @nullFlavor]
Item: (ImageQuality)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]/hl7:code[(@code = '111050' and @codeSystem = '1.2.840.10008.2.6.1') or @nullFlavor]"
         id="d42e1346-false-d4633e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.15-2021-06-22T110623.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ImageQuality): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.15-2021-06-22T110623.html"
              test="@nullFlavor or (@code='111050' and @codeSystem='1.2.840.10008.2.6.1')">(ImageQuality): The element value SHALL be one of 'code '111050' codeSystem '1.2.840.10008.2.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]/hl7:text
Item: (ImageQuality)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]/hl7:text"
         id="d42e1352-false-d4649e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.15-2021-06-22T110623.html"
              test="count(hl7:reference) &gt;= 1">(ImageQuality): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.15-2021-06-22T110623.html"
              test="count(hl7:reference) &lt;= 1">(ImageQuality): element hl7:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]/hl7:text/hl7:reference
Item: (ImageQuality)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]/hl7:text/hl7:reference"
         id="d42e1354-false-d4665e0">
      <extends rule="URL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.15-2021-06-22T110623.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(ImageQuality): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:URL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]/hl7:statusCode
Item: (ImageQuality)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]/hl7:statusCode"
         id="d42e1357-false-d4675e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.15-2021-06-22T110623.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(ImageQuality): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]/hl7:value[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')]
Item: (ImageQuality)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]/hl7:value[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')]"
         id="d42e1359-false-d4685e0">
      <extends rule="CD"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.15-2021-06-22T110623.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(ImageQuality): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
