<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.840.10008.9.6
Name: Addendum
Description: Addendum section for imaging report includes supplemental information added to the original document contents.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.840.10008.9.6-2021-06-22T120438">
   <title>Addendum</title>
   <!--
Template derived rules for ID: 1.2.840.10008.9.6
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]
Item: (Addendum)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]"
         id="d42e2390-false-d15154e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]) &gt;= 1">(Addendum): element hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]) &lt;= 1">(Addendum): element hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.6
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]
Item: (Addendum)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]"
         id="d42e2440-false-d15219e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.6']) &gt;= 1">(Addendum): element hl7:templateId[@root = '1.2.840.10008.9.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.6']) &lt;= 1">(Addendum): element hl7:templateId[@root = '1.2.840.10008.9.6'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:id) &gt;= 1">(Addendum): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(Addendum): element hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(Addendum): element hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:title) &gt;= 1">(Addendum): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:title) &lt;= 1">(Addendum): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:text) &lt;= 1">(Addendum): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:author[hl7:assignedAuthor]) &gt;= 1">(Addendum): element hl7:author[hl7:assignedAuthor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:author[hl7:assignedAuthor]) &lt;= 1">(Addendum): element hl7:author[hl7:assignedAuthor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:component[hl7:section]) &lt;= 1">(Addendum): element hl7:component[hl7:section] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:templateId) &lt;= 1">(Addendum): element hl7:templateId appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:author[hl7:assignedAuthor]) &lt;= 1">(Addendum): element hl7:author[hl7:assignedAuthor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:entry[hl7:observation]) &lt;= 1">(Addendum): element hl7:entry[hl7:observation] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:entry[hl7:observation]) &lt;= 1">(Addendum): element hl7:entry[hl7:observation] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:entry[hl7:observationMedia]) &lt;= 1">(Addendum): element hl7:entry[hl7:observationMedia] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:entry[hl7:observation]) &lt;= 1">(Addendum): element hl7:entry[hl7:observation] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:entry) &lt;= 1">(Addendum): element hl7:entry appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.6
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:templateId[@root = '1.2.840.10008.9.6']
Item: (Addendum)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:templateId[@root = '1.2.840.10008.9.6']"
         id="d42e2442-false-d15358e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Addendum): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="string(@root) = ('1.2.840.10008.9.6')">(Addendum): The value for root SHALL be '1.2.840.10008.9.6'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.6
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:id
Item: (Addendum)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:id"
         id="d42e2447-false-d15372e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Addendum): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.6
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Addendum)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e2449-false-d15383e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(Addendum): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="@nullFlavor or (@code='55107-7' and @codeSystem='2.16.840.1.113883.6.1')">(Addendum): The element value SHALL be one of 'code '55107-7' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.6
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:title
Item: (Addendum)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:title"
         id="d42e2454-false-d15399e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Addendum): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.6
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:text
Item: (Addendum)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:text"
         id="d42e2456-false-d15409e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(Addendum): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.6
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]
Item: (Addendum)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]"
         id="d42e2463-false-d15419e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:time) &gt;= 1">(Addendum): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:time) &lt;= 1">(Addendum): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:assignedAuthor) &gt;= 1">(Addendum): element hl7:assignedAuthor is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:assignedAuthor) &lt;= 1">(Addendum): element hl7:assignedAuthor appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.6
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:time
Item: (Addendum)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:time"
         id="d42e2485-false-d15443e0">
      <extends rule="TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(Addendum): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="not(*)">(Addendum): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.6
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor
Item: (Addendum)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor"
         id="d42e2487-false-d15456e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:id[hl7:assignedPerson]) &gt;= 1">(Addendum): element hl7:id[hl7:assignedPerson] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.6
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:id[hl7:assignedPerson]
Item: (Addendum)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:id[hl7:assignedPerson]"
         id="d42e2504-false-d15470e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Addendum): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:assignedPerson) &gt;= 1">(Addendum): element hl7:assignedPerson is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:assignedPerson) &lt;= 1">(Addendum): element hl7:assignedPerson appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.6
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:id[hl7:assignedPerson]/hl7:assignedPerson
Item: (Addendum)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:id[hl7:assignedPerson]/hl7:assignedPerson"
         id="d42e2506-false-d15489e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:name) &gt;= 1">(Addendum): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:name) &lt;= 1">(Addendum): element hl7:name appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.6
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:id[hl7:assignedPerson]/hl7:assignedPerson/hl7:name
Item: (Addendum)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:id[hl7:assignedPerson]/hl7:assignedPerson/hl7:name"
         id="d42e2517-false-d15505e0">
      <extends rule="PN"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(Addendum): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.6
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:component[hl7:section]
Item: (Addendum)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:component[hl7:section]"
         id="d42e2523-false-d15518e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]) &gt;= 1">(Addendum): element hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.6-2021-06-22T120438.html"
              test="count(hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]) &lt;= 1">(Addendum): element hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.6
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]
Item: (Addendum)
-->
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:templateId
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:templateId"
         id="d15545e45-false-d15555e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(GeneralSectionEntries): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]"
         id="d15545e47-false-d15565e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:time) &gt;= 1">(GeneralSectionEntries): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:time) &lt;= 1">(GeneralSectionEntries): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:assignedAuthor) &gt;= 1">(GeneralSectionEntries): element hl7:assignedAuthor is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:assignedAuthor) &lt;= 1">(GeneralSectionEntries): element hl7:assignedAuthor appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:time
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:time"
         id="d15545e83-false-d15589e0">
      <extends rule="TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(GeneralSectionEntries): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="not(*)">(GeneralSectionEntries): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor"
         id="d15545e85-false-d15602e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:id) &gt;= 1">(GeneralSectionEntries): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:assignedPerson) &gt;= 1">(GeneralSectionEntries): element hl7:assignedPerson is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:assignedPerson) &lt;= 1">(GeneralSectionEntries): element hl7:assignedPerson appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:assignedAuthoringDevice) &gt;= 1">(GeneralSectionEntries): element hl7:assignedAuthoringDevice is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:assignedAuthoringDevice) &lt;= 1">(GeneralSectionEntries): element hl7:assignedAuthoringDevice appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:representedOrganization) &lt;= 1">(GeneralSectionEntries): element hl7:representedOrganization appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:id
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:id"
         id="d15545e87-false-d15638e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(GeneralSectionEntries): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson"
         id="d15545e89-false-d15648e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:name) &gt;= 1">(GeneralSectionEntries): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:name) &lt;= 1">(GeneralSectionEntries): element hl7:name appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="d15545e91-false-d15664e0">
      <extends rule="PN"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(GeneralSectionEntries): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice"
         id="d15545e94-false-d15674e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:manufacturerModelName) &lt;= 1">(GeneralSectionEntries): element hl7:manufacturerModelName appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:softwareName) &lt;= 1">(GeneralSectionEntries): element hl7:softwareName appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName"
         id="d15545e96-false-d15694e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(GeneralSectionEntries): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName"
         id="d15545e98-false-d15704e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(GeneralSectionEntries): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization"
         id="d15545e101-false-d15714e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:name) &lt;= 1">(GeneralSectionEntries): element hl7:name appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="d15545e103-false-d15728e0">
      <extends rule="ON"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ON')">(GeneralSectionEntries): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]"
         id="d15545e109-false-d15751e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]) &gt;= 1">(GeneralSectionEntries): element hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]) &lt;= 1">(GeneralSectionEntries): element hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]
Item: (GeneralSectionEntries)
-->
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]"
         id="d15545e114-false-d15814e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]) &gt;= 1">(GeneralSectionEntries): element hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]) &lt;= 1">(GeneralSectionEntries): element hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]
Item: (GeneralSectionEntries)
-->
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observationMedia]
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observationMedia]"
         id="d15545e119-false-d15863e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]]) &gt;= 1">(GeneralSectionEntries): element hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]]) &lt;= 1">(GeneralSectionEntries): element hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]]
Item: (GeneralSectionEntries)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.4.7
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]]
Item: (ObservationMediaEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]) &gt;= 1">(ObservationMediaEntry): element hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]) &lt;= 1">(ObservationMediaEntry): element hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.4.7
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]
Item: (ObservationMediaEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="@ID">(ObservationMediaEntry): attribute @ID SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="@moodCode">(ObservationMediaEntry): attribute @moodCode SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="@classCode">(ObservationMediaEntry): attribute @classCode SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']) &gt;= 1">(ObservationMediaEntry): element hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']) &lt;= 1">(ObservationMediaEntry): element hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:id) &gt;= 1">(ObservationMediaEntry): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:id) &lt;= 1">(ObservationMediaEntry): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:value) &gt;= 1">(ObservationMediaEntry): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:value) &lt;= 1">(ObservationMediaEntry): element hl7:value appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.4.7
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']
Item: (ObservationMediaEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ObservationMediaEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.​1.4.1.4.7')">(ObservationMediaEntry): The value for root SHALL be '1.3.6.1.4.1.19376.​1.4.1.4.7'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.4.7
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]/hl7:id
Item: (ObservationMediaEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ObservationMediaEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.4.7
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]/hl7:value
Item: (ObservationMediaEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]/hl7:value">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(ObservationMediaEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="string(@mediaType) = ('2.16.840.1.113883.11.14839')">(ObservationMediaEntry): The value for mediaType SHALL be '2.16.840.1.113883.11.14839'. Found: "<value-of select="@mediaType"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="string(@representation) = ('B64')">(ObservationMediaEntry): The value for representation SHALL be 'B64'. Found: "<value-of select="@representation"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:reference) &lt;= 1">(ObservationMediaEntry): element hl7:reference appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.4.7
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]/hl7:value/hl7:reference
Item: (ObservationMediaEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.​1.4.1.4.7']]/hl7:value/hl7:reference">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(ObservationMediaEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]"
         id="d15545e124-false-d16033e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &gt;= 1">(GeneralSectionEntries): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &lt;= 1">(GeneralSectionEntries): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]
Item: (GeneralSectionEntries)
-->

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('DGIMG')">(SOPInstanceObservation): The value for classCode SHALL be 'DGIMG'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.18']) &gt;= 1">(SOPInstanceObservation): element hl7:templateId[@root = '1.2.840.10008.9.18'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.18']) &lt;= 1">(SOPInstanceObservation): element hl7:templateId[@root = '1.2.840.10008.9.18'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:id) &gt;= 1">(SOPInstanceObservation): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &gt;= 1">(SOPInstanceObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &lt;= 1">(SOPInstanceObservation): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:text) &lt;= 1">(SOPInstanceObservation): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:effectiveTime) &lt;= 1">(SOPInstanceObservation): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[@typeCode = 'COMP']) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[@typeCode = 'COMP'] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:templateId[@root = '1.2.840.10008.9.18']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:templateId[@root = '1.2.840.10008.9.18']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@root) = ('1.2.840.10008.9.18')">(SOPInstanceObservation): The value for root SHALL be '1.2.840.10008.9.18'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:id
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:code
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:code">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@codeSystem">(SOPInstanceObservation): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@code">(SOPInstanceObservation): attribute @code SHALL be present.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@mediaType">(SOPInstanceObservation): attribute @mediaType SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:reference) &gt;= 1">(SOPInstanceObservation): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:reference) &lt;= 1">(SOPInstanceObservation): element hl7:reference appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text/hl7:reference
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text/hl7:reference">
      <extends rule="URL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:URL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:effectiveTime
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:effectiveTime">
      <extends rule="TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(*)">(SOPInstanceObservation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('SUBJ')">(SOPInstanceObservation): The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]
Item: (SOPInstanceObservation)
-->

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('DGIMG')">(SOPInstanceObservation): The value for classCode SHALL be 'DGIMG'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.18']) &gt;= 1">(SOPInstanceObservation): element hl7:templateId[@root = '1.2.840.10008.9.18'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.18']) &lt;= 1">(SOPInstanceObservation): element hl7:templateId[@root = '1.2.840.10008.9.18'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:id) &gt;= 1">(SOPInstanceObservation): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &gt;= 1">(SOPInstanceObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &lt;= 1">(SOPInstanceObservation): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:text) &lt;= 1">(SOPInstanceObservation): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:effectiveTime) &lt;= 1">(SOPInstanceObservation): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[@typeCode = 'COMP']) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[@typeCode = 'COMP'] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:templateId[@root = '1.2.840.10008.9.18']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:templateId[@root = '1.2.840.10008.9.18']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@root) = ('1.2.840.10008.9.18')">(SOPInstanceObservation): The value for root SHALL be '1.2.840.10008.9.18'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:id
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:code
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:code">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@codeSystem">(SOPInstanceObservation): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@code">(SOPInstanceObservation): attribute @code SHALL be present.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@mediaType">(SOPInstanceObservation): attribute @mediaType SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:reference) &gt;= 1">(SOPInstanceObservation): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:reference) &lt;= 1">(SOPInstanceObservation): element hl7:reference appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text/hl7:reference
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text/hl7:reference">
      <extends rule="URL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:URL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:effectiveTime
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:effectiveTime">
      <extends rule="TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(*)">(SOPInstanceObservation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('SUBJ')">(SOPInstanceObservation): The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]
Item: (SOPInstanceObservation)
-->

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('RSON')">(SOPInstanceObservation): The value for typeCode SHALL be 'RSON'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']) &gt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']) &lt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN'] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('OBS')">(SOPInstanceObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &gt;= 1">(SOPInstanceObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &lt;= 1">(SOPInstanceObservation): element hl7:code appears too often [max 1x].</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value) &lt; 1">(SOPInstanceObservation): element hl7:value is coded with binding strength 'extensible' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value) &lt;= 1">(SOPInstanceObservation): element hl7:value appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']/hl7:code
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']/hl7:code">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']/hl7:value
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']/hl7:value">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'COMP']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'COMP']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('COMP')">(SOPInstanceObservation): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']) &gt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']) &lt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &gt;= 1">(SOPInstanceObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &lt;= 1">(SOPInstanceObservation): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation[@classCode = 'OBS']]) &gt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation[@classCode = 'OBS']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation[@classCode = 'OBS']]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation[@classCode = 'OBS']] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'COMP']/hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'COMP']/hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('ROIBND')">(SOPInstanceObservation): The value for classCode SHALL be 'ROIBND'. Found: "<value-of select="@classCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'COMP']/hl7:code
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'COMP']/hl7:code">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'COMP']/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation[@classCode = 'OBS']]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'COMP']/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation[@classCode = 'OBS']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('COMP')">(SOPInstanceObservation): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'OBS']) &gt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'OBS'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'OBS']) &lt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'OBS'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &gt;= 1">(SOPInstanceObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &lt;= 1">(SOPInstanceObservation): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value) &gt;= 1">(SOPInstanceObservation): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value) &lt;= 1">(SOPInstanceObservation): element hl7:value appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'COMP']/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation[@classCode = 'OBS']]/hl7:observation[@classCode = 'OBS']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'COMP']/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation[@classCode = 'OBS']]/hl7:observation[@classCode = 'OBS']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('OBS')">(SOPInstanceObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'COMP']/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation[@classCode = 'OBS']]/hl7:code
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'COMP']/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation[@classCode = 'OBS']]/hl7:code">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'COMP']/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation[@classCode = 'OBS']]/hl7:value
Item: (SOPInstanceObservation)
-->

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('RSON')">(SOPInstanceObservation): The value for typeCode SHALL be 'RSON'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']) &gt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']) &lt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN'] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('OBS')">(SOPInstanceObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &gt;= 1">(SOPInstanceObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &lt;= 1">(SOPInstanceObservation): element hl7:code appears too often [max 1x].</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value) &lt; 1">(SOPInstanceObservation): element hl7:value is coded with binding strength 'extensible' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value) &lt;= 1">(SOPInstanceObservation): element hl7:value appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']/hl7:code
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']/hl7:code">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']/hl7:value
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']/hl7:value">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'COMP']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'COMP']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('COMP')">(SOPInstanceObservation): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']) &gt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']) &lt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &gt;= 1">(SOPInstanceObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &lt;= 1">(SOPInstanceObservation): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation[@classCode = 'OBS']]) &gt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation[@classCode = 'OBS']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation[@classCode = 'OBS']]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation[@classCode = 'OBS']] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'COMP']/hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'COMP']/hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('ROIBND')">(SOPInstanceObservation): The value for classCode SHALL be 'ROIBND'. Found: "<value-of select="@classCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'COMP']/hl7:code
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'COMP']/hl7:code">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'COMP']/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation[@classCode = 'OBS']]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'COMP']/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation[@classCode = 'OBS']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('COMP')">(SOPInstanceObservation): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'OBS']) &gt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'OBS'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'OBS']) &lt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'OBS'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &gt;= 1">(SOPInstanceObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &lt;= 1">(SOPInstanceObservation): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value) &gt;= 1">(SOPInstanceObservation): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value) &lt;= 1">(SOPInstanceObservation): element hl7:value appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'COMP']/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation[@classCode = 'OBS']]/hl7:observation[@classCode = 'OBS']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'COMP']/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation[@classCode = 'OBS']]/hl7:observation[@classCode = 'OBS']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('OBS')">(SOPInstanceObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'COMP']/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation[@classCode = 'OBS']]/hl7:code
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'COMP']/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation[@classCode = 'OBS']]/hl7:code">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'COMP']/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation[@classCode = 'OBS']]/hl7:value
Item: (SOPInstanceObservation)
-->
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry"
         id="d15545e129-false-d17010e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:regionOfInterest) = 0">(GeneralSectionEntries): element hl7:regionOfInterest MAY NOT be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.6']]/hl7:entry/hl7:regionOfInterest
Item: (GeneralSectionEntries)
-->
</pattern>
