<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.31
Name: Age Observation
Description: This Age Observation represents the subject's age at onset of an event or observation. The age of a relative in a Family History Observation at the time of that observation could also be inferred by comparing RelatedSubject/subject/birthTime with Observation/effectiveTime. However, a common scenario is that a patient will know the age of a relative when the relative
            had a certain condition or when the relative died, but will not know the actual year (e.g., "grandpa died of a heart attack at the age of 50"). Often times, neither precise dates nor ages are known (e.g., "cousin died of congenital heart disease as an infant").
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.31-2015-08-13T000000">
   <title>Age Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.31
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']]]
Item: (AgeObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.31
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']]
Item: (AgeObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']]"
         id="d42e6783-false-d122438e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.22.4.31-2015-08-13T000000.html"
              test="string(@classCode) = ('OBS')">CONF:81-7613: The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.22.4.31-2015-08-13T000000.html"
              test="string(@moodCode) = ('EVN')">CONF:81-7614: The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.22.4.31-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']) &gt;= 1">(AgeObservation): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.22.4.31-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']) &lt;= 1">(AgeObservation): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.22.4.31-2015-08-13T000000.html"
              test="count(cda:code[(@code = '445518008' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(AgeObservation): element cda:code[(@code = '445518008' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.22.4.31-2015-08-13T000000.html"
              test="count(cda:code[(@code = '445518008' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(AgeObservation): element cda:code[(@code = '445518008' and @codeSystem = '2.16.840.1.113883.6.96')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.22.4.31-2015-08-13T000000.html"
              test="count(cda:statusCode[@code = 'completed']) &gt;= 1">(AgeObservation): element cda:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.22.4.31-2015-08-13T000000.html"
              test="count(cda:statusCode[@code = 'completed']) &lt;= 1">(AgeObservation): element cda:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.22.4.31-2015-08-13T000000.html"
              test="count(cda:value) &gt;= 1">(AgeObservation): element cda:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.22.4.31-2015-08-13T000000.html"
              test="count(cda:value) &lt;= 1">(AgeObservation): element cda:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.31
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']
Item: (AgeObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']"
         id="d42e6801-false-d122490e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.22.4.31-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(AgeObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.22.4.31-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.31')">CONF:81-10487: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.31'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.31
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']]/cda:code[(@code = '445518008' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (AgeObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']]/cda:code[(@code = '445518008' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e6817-false-d122505e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.22.4.31-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(AgeObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.22.4.31-2015-08-13T000000.html"
              test="@nullFlavor or (@code='445518008' and @codeSystem='2.16.840.1.113883.6.96')">(AgeObservation): The element value SHALL be one of 'code '445518008' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.31
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']]/cda:statusCode[@code = 'completed']
Item: (AgeObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']]/cda:statusCode[@code = 'completed']"
         id="d42e6827-false-d122522e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.22.4.31-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(AgeObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.22.4.31-2015-08-13T000000.html"
              test="@nullFlavor or (@code='completed')">(AgeObservation): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.31
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']]/cda:value
Item: (AgeObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']]/cda:value"
         id="d42e6838-false-d122538e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.22.4.31-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(AgeObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.22.4.31-2015-08-13T000000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(AgeObservation): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.22.4.31-2015-08-13T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(AgeObservation): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.22.4.31-2015-08-13T000000.html"
              test="@unit">CONF:81-7618: attribute @unit SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@unit),'\s'))"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.22.4.31-2015-08-13T000000.html"
              test="not(@unit) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.11.20.9.21-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">CONF:81-7618: The value for unit SHALL be selected from value set '2.16.840.1.113883.11.20.9.21' AgePQ_UCUM (DYNAMIC).</assert>
   </rule>
</pattern>
