<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.6.1.2
Name: Findings Section (DIR)
Description: The Findings section contains the main narrative body of the report. While not an absolute requirement for transformed DICOM SR reports, it is suggested that Diagnostic Imaging Reports authored in CDA follow Term Info guidelines for the codes in the various observations and procedures recorded in this section.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.6.1.2-2015-08-13T000000">
   <title>Findings Section (DIR)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.1.2
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.2']]]
Item: (FindingsSectionDIR)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.1.2
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.2']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.2']]
Item: (FindingsSectionDIR)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.2']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.2']]"
         id="d42e7580-false-d124777e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.1.2-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.2']) &gt;= 1">(FindingsSectionDIR): element cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.1.2-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.2']) &lt;= 1">(FindingsSectionDIR): element cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.2'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.1.2
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.2']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.2']]/cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.2']
Item: (FindingsSectionDIR)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.2']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.2']]/cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.2']"
         id="d42e7585-false-d124795e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.1.2-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(FindingsSectionDIR): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.1.2-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.6.1.2')">CONF:81-10456: The value for root SHALL be '2.16.840.1.113883.10.20.6.1.2'. Found: "<value-of select="@root"/>"</assert>
   </rule>
</pattern>
