<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.6.2.11
Name: Boundary Observation
Description: A Boundary Observation contains a list of integer values for the referenced frames of a DICOM multiframe image SOP instance. It identifies the frame numbers within the referenced SOP instance to which the reference applies. The CDA Boundary Observation numbers frames using the same convention as DICOM, with the first frame in the referenced object being Frame 1. A
            Boundary Observation must be used if a referenced DICOM SOP instance is a multiframe image and the reference does not apply to all frames.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.6.2.11-2015-08-13T000000">
   <title>Boundary Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.11
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11']]]
Item: (BoundaryObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.11
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11']]
Item: (BoundaryObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11']]"
         id="d42e7676-false-d124948e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.11-2015-08-13T000000.html"
              test="string(@classCode) = ('OBS')">CONF:81-9282: The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.11-2015-08-13T000000.html"
              test="string(@moodCode) = ('EVN')">CONF:81-9283: The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.11-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11']) &gt;= 1">(BoundaryObservation): element cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.11-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11']) &lt;= 1">(BoundaryObservation): element cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.11-2015-08-13T000000.html"
              test="count(cda:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4')]) &gt;= 1">(BoundaryObservation): element cda:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.11-2015-08-13T000000.html"
              test="count(cda:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4')]) &lt;= 1">(BoundaryObservation): element cda:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.11-2015-08-13T000000.html"
              test="count(cda:value) &gt;= 1">(BoundaryObservation): element cda:value is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.11
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11']]/cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11']
Item: (BoundaryObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11']]/cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11']"
         id="d42e7694-false-d124989e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.11-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(BoundaryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.11-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.6.2.11')">(BoundaryObservation): The value for root SHALL be '2.16.840.1.113883.10.20.6.2.11'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.11
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11']]/cda:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4')]
Item: (BoundaryObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11']]/cda:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4')]"
         id="d42e7702-false-d125004e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.11-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(BoundaryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.11-2015-08-13T000000.html"
              test="@nullFlavor or (@code='113036' and @codeSystem='1.2.840.10008.2.16.4')">(BoundaryObservation): The element value SHALL be one of 'code '113036' codeSystem '1.2.840.10008.2.16.4''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.11
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11']]/cda:value
Item: (BoundaryObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11']]/cda:value"
         id="d42e7712-false-d125020e0">
      <extends rule="INT"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.11-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'INT')">(BoundaryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:INT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.11-2015-08-13T000000.html"
              test="not(@value) or matches(@value, '^-?[1-9]\d*$|^+?\d*$')">(BoundaryObservation): @value is not a valid INT number <value-of select="@value"/>
      </assert>
   </rule>
</pattern>
