<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.6.2.12
Name: Text Observation
Description: DICOM Template 2000 specifies that Imaging Report Elements of Value Type Text are contained in sections. The Imaging Report Elements are inferred from Basic Diagnostic Imaging Report Observations that consist of image references and measurements (linear, area, volume, and numeric). Text DICOM Imaging Report Elements in this context are mapped to CDA text observations
            that are section components and are related to the SOP Instance Observations (templateId 2.16.840.1.113883.10.20.6.2.8) or Quantity Measurement Observations (templateId 2.16.840.1.113883.10.20.6.2.14) by the SPRT (Support) act relationship. A Text Observation is required if the findings in the section text are represented as inferred from SOP Instance Observations.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.6.2.12-2015-08-13T000000">
   <title>Text Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.12
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]]
Item: (TextObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.12
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]
Item: (TextObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]"
         id="d42e7735-false-d125104e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.12-2015-08-13T000000.html"
              test="string(@classCode) = ('OBS')">CONF:81-9288: The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.12-2015-08-13T000000.html"
              test="string(@moodCode) = ('EVN')">CONF:81-9289: The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.12-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']) &gt;= 1">(TextObservation): element cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.12-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']) &lt;= 1">(TextObservation): element cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.12-2015-08-13T000000.html"
              test="count(cda:code) &gt;= 1">(TextObservation): element cda:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.12-2015-08-13T000000.html"
              test="count(cda:code) &lt;= 1">(TextObservation): element cda:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.12-2015-08-13T000000.html"
              test="count(cda:text) &lt;= 1">(TextObservation): element cda:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.12-2015-08-13T000000.html"
              test="count(cda:effectiveTime) &lt;= 1">(TextObservation): element cda:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.12-2015-08-13T000000.html"
              test="count(cda:value) &gt;= 1">(TextObservation): element cda:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.12-2015-08-13T000000.html"
              test="count(cda:value) &lt;= 1">(TextObservation): element cda:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.12
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]/cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']
Item: (TextObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]/cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']"
         id="d42e7753-false-d125183e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.12-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(TextObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.12-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.6.2.12')">CONF:81-10534: The value for root SHALL be '2.16.840.1.113883.10.20.6.2.12'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.12
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]/cda:code
Item: (TextObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]/cda:code"
         id="d42e7769-false-d125197e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.12-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(TextObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.12
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]/cda:text
Item: (TextObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]/cda:text"
         id="d42e7777-false-d125207e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.12-2015-08-13T000000.html"
              test="count(cda:reference) &lt;= 1">(TextObservation): element cda:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.12
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]/cda:text/cda:reference
Item: (TextObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]/cda:text/cda:reference"
         id="d42e7784-false-d125221e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.12-2015-08-13T000000.html"
              test="not(@value)=0 or starts-with(@value, '#')">(TextObservation): This reference/@value SHALL begin with a '#' and SHALL point to its corresponding narrative (using the approach defined in CDA Release 2, section 4.3.5.1)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.12
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]/cda:effectiveTime
Item: (TextObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]/cda:effectiveTime"
         id="d42e7805-false-d125229e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.12-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(TextObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.12
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]/cda:value
Item: (TextObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]/cda:value"
         id="d42e7813-false-d125239e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.12-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(TextObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.12
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]/cda:entryRelationship[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1'][cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.8']]]
Item: (TextObservation)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]/cda:entryRelationship[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1'][cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.8']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.12-2015-08-13T000000.html"
              test="string(@typeCode) = ('SPRT')">CONF:81-9299: The value for typeCode SHALL be 'SPRT'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.12
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]
Item: (TextObservation)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.12']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.12-2015-08-13T000000.html"
              test="string(@typeCode) = ('SPRT')">CONF:81-9302: The value for typeCode SHALL be 'SPRT'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
