<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.6.2.14
Name: Quantity Measurement Observation
Description: A Quantity Measurement Observation records quantity measurements based on image data such as linear, area, volume, and numeric measurements. The codes in DIRQuantityMeasurementTypeCodes (ValueSet: 2.16.840.1.113883.11.20.9.29) are from the qualifier hierarchy of SNOMED CT and are not valid for observation/code according to the Term Info guidelines. These codes can be
            used for backwards compatibility, but going forward, codes from the observable entity hierarchy will be requested and used.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.6.2.14-2015-08-13T000000">
   <title>Quantity Measurement Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.14
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]
Item: (QuantityMeasurementObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.14
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]
Item: (QuantityMeasurementObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]"
         id="d42e7961-false-d125575e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.14-2015-08-13T000000.html"
              test="string(@classCode) = ('OBS')">CONF:81-9317: The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.14-2015-08-13T000000.html"
              test="string(@moodCode) = ('EVN')">CONF:81-9318: The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.14-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']) &gt;= 1">(QuantityMeasurementObservation): element cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.14-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']) &lt;= 1">(QuantityMeasurementObservation): element cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.14-2015-08-13T000000.html"
              test="count(cda:code) &gt;= 1">(QuantityMeasurementObservation): element cda:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.14-2015-08-13T000000.html"
              test="count(cda:code) &lt;= 1">(QuantityMeasurementObservation): element cda:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.14-2015-08-13T000000.html"
              test="count(cda:effectiveTime) &lt;= 1">(QuantityMeasurementObservation): element cda:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.14-2015-08-13T000000.html"
              test="count(cda:value) &gt;= 1">(QuantityMeasurementObservation): element cda:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.14-2015-08-13T000000.html"
              test="count(cda:value) &lt;= 1">(QuantityMeasurementObservation): element cda:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.14
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]/cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']
Item: (QuantityMeasurementObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]/cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']"
         id="d42e7979-false-d125635e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.14-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(QuantityMeasurementObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.14-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.6.2.14')">CONF:81-10532: The value for root SHALL be '2.16.840.1.113883.10.20.6.2.14'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.14
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]/cda:code
Item: (QuantityMeasurementObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]/cda:code"
         id="d42e7995-false-d125649e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.14-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(QuantityMeasurementObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.14
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]/cda:effectiveTime
Item: (QuantityMeasurementObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]/cda:effectiveTime"
         id="d42e8005-false-d125659e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.14-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(QuantityMeasurementObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.14
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]/cda:value
Item: (QuantityMeasurementObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]/cda:value"
         id="d42e8014-false-d125669e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.14-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(QuantityMeasurementObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.14-2015-08-13T000000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(QuantityMeasurementObservation): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.14-2015-08-13T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(QuantityMeasurementObservation): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.14
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]/cda:entryRelationship[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1'][cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.8']]]
Item: (QuantityMeasurementObservation)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]/cda:entryRelationship[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1'][cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.8']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.14-2015-08-13T000000.html"
              test="string(@typeCode) = ('SPRT')">CONF:81-9328: The value for typeCode SHALL be 'SPRT'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
