<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.6.2.3
Name: Fetus Subject Context
Description: For reports on mothers and their fetus(es), information on a mother is mapped to recordTarget, PatientRole, and Patient. Information on the fetus is mapped to subject, relatedSubject, and SubjectPerson at the CDA section level. Both context information on the mother and fetus must be included in the document if observations on fetus(es) are contained in the
            document.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.6.2.3-2015-08-13T000000">
   <title>Fetus Subject Context</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.3
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.3']]]
Item: (FetusSubjectContext)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.3
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.3']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.3']]
Item: (FetusSubjectContext)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.3']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.3']]"
         id="d42e8049-false-d125725e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.3-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.3']) &gt;= 1">(FetusSubjectContext): element cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.3-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.3']) &lt;= 1">(FetusSubjectContext): element cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.3'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.3-2015-08-13T000000.html"
              test="count(cda:code[(@code = '121026' and @codeSystem = '1.2.840.10008.2.16.4')]) &gt;= 1">(FetusSubjectContext): element cda:code[(@code = '121026' and @codeSystem = '1.2.840.10008.2.16.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.3-2015-08-13T000000.html"
              test="count(cda:code[(@code = '121026' and @codeSystem = '1.2.840.10008.2.16.4')]) &lt;= 1">(FetusSubjectContext): element cda:code[(@code = '121026' and @codeSystem = '1.2.840.10008.2.16.4')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.3-2015-08-13T000000.html"
              test="count(cda:subject[not(@nullFlavor)][cda:name]) &gt;= 1">(FetusSubjectContext): element cda:subject[not(@nullFlavor)][cda:name] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.3-2015-08-13T000000.html"
              test="count(cda:subject[not(@nullFlavor)][cda:name]) &lt;= 1">(FetusSubjectContext): element cda:subject[not(@nullFlavor)][cda:name] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.3
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.3']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.3']]/cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.3']
Item: (FetusSubjectContext)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.3']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.3']]/cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.3']"
         id="d42e8051-false-d125760e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.3-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(FetusSubjectContext): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.3-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.6.2.3')">CONF:81-10535: The value for root SHALL be '2.16.840.1.113883.10.20.6.2.3'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.3
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.3']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.3']]/cda:code[(@code = '121026' and @codeSystem = '1.2.840.10008.2.16.4')]
Item: (FetusSubjectContext)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.3']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.3']]/cda:code[(@code = '121026' and @codeSystem = '1.2.840.10008.2.16.4')]"
         id="d42e8067-false-d125775e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.3-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(FetusSubjectContext): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.3-2015-08-13T000000.html"
              test="@nullFlavor or (@code='121026' and @codeSystem='1.2.840.10008.2.16.4')">(FetusSubjectContext): The element value SHALL be one of 'code '121026' codeSystem '1.2.840.10008.2.16.4''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.3
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.3']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.3']]/cda:subject[not(@nullFlavor)][cda:name]
Item: (FetusSubjectContext)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.3']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.3']]/cda:subject[not(@nullFlavor)][cda:name]"
         id="d42e8077-false-d125791e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.3-2015-08-13T000000.html"
              test="count(cda:name) &gt;= 1">(FetusSubjectContext): element cda:name is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.3-2015-08-13T000000.html"
              test="count(cda:name) &lt;= 1">(FetusSubjectContext): element cda:name appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.3
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.3']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.3']]/cda:subject[not(@nullFlavor)][cda:name]/cda:name
Item: (FetusSubjectContext)
-->
</pattern>
