<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.6.2.4
Name: Observer Context
Description: The Observer Context is used to override the author specified in the CDA Header. It is valid as a direct child element of a section.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.6.2.4-2015-08-13T000000">
   <title>Observer Context</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.4
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.4']]]
Item: (ObserverContext)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.4
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.4']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.4']]
Item: (ObserverContext)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.4']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.4']]"
         id="d42e8108-false-d125832e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.4-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.4']) &gt;= 1">(ObserverContext): element cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.4'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.4-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.4']) &lt;= 1">(ObserverContext): element cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.4'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.4-2015-08-13T000000.html"
              test="count(cda:id) &gt;= 1">(ObserverContext): element cda:id is required [min 1x].</assert>
      <let name="elmcount"
           value="count(cda:assignedPerson | cda:assignedAuthoringDevice)"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.4-2015-08-13T000000.html"
              test="$elmcount &gt;= 1">(ObserverContext): choice (cda:assignedPerson  or  cda:assignedAuthoringDevice) does not contain enough elements [min 1x]</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.4
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.4']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.4']]/cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.4']
Item: (ObserverContext)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.4']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.4']]/cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.4']"
         id="d42e8110-false-d125868e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.4-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ObserverContext): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.4-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.6.2.4')">CONF:81-10536: The value for root SHALL be '2.16.840.1.113883.10.20.6.2.4'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.4
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.4']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.4']]/cda:id
Item: (ObserverContext)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.4']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.4']]/cda:id"
         id="d42e8126-false-d125882e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.4-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ObserverContext): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.4
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.4']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.4']]/cda:assignedPerson
Item: (ObserverContext)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.4
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.4']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.4']]/cda:assignedAuthoringDevice
Item: (ObserverContext)
-->
</pattern>
