<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.6.2.5
Name: Procedure Context
Description: The ServiceEvent Procedure Context of the document header may be overridden in the CDA structured body if there is a need to refer to multiple imaging procedures or acts. The selection of the Procedure or Act entry from the clinical statement choice box depends on the nature of the imaging service that has been performed. The Procedure entry shall be used for
            image-guided interventions and minimally invasive imaging services, whereas the Act entry shall be used for diagnostic imaging services.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.6.2.5-2015-08-13T000000">
   <title>Procedure Context</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.5
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.5']]]
Item: (ProcedureContext)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.5
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.5']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.5']]
Item: (ProcedureContext)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.5']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.5']]"
         id="d42e8159-false-d125927e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.5-2015-08-13T000000.html"
              test="string(@classCode) = ('ACT')">CONF:81-26452: The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.5-2015-08-13T000000.html"
              test="string(@moodCode) = ('EVN')">CONF:81-26453: The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.5-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.5']) &gt;= 1">(ProcedureContext): element cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.5'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.5-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.5']) &lt;= 1">(ProcedureContext): element cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.5'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.5-2015-08-13T000000.html"
              test="count(cda:code) &gt;= 1">(ProcedureContext): element cda:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.5-2015-08-13T000000.html"
              test="count(cda:code) &lt;= 1">(ProcedureContext): element cda:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.5-2015-08-13T000000.html"
              test="count(cda:effectiveTime) &lt;= 1">(ProcedureContext): element cda:effectiveTime appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.5
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.5']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.5']]/cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.5']
Item: (ProcedureContext)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.5']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.5']]/cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.5']"
         id="d42e8180-false-d125967e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.5-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ProcedureContext): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.5-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.6.2.5')">CONF:81-10530: The value for root SHALL be '2.16.840.1.113883.10.20.6.2.5'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.5
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.5']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.5']]/cda:code
Item: (ProcedureContext)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.5']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.5']]/cda:code"
         id="d42e8196-false-d125981e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.5-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ProcedureContext): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.5
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.5']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.5']]/cda:effectiveTime
Item: (ProcedureContext)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.5']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.5']]/cda:effectiveTime"
         id="d42e8205-false-d125991e0">
      <extends rule="TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.5-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(ProcedureContext): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.5-2015-08-13T000000.html"
              test="not(*)">(ProcedureContext): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.5-2015-08-13T000000.html"
              test="@value">CONF:81-17173: attribute @value SHALL be present.</assert>
   </rule>
</pattern>
