<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.6.2.6
Name: Study Act
Description: A Study Act contains the DICOM study information that defines the characteristics of a referenced medical study performed on a patient. A study is a collection of one or more series of medical images, presentation states, SR documents, overlays, and/or curves that are logically related for the purpose of diagnosing a patient. Each study is associated with exactly one
            patient. A study may include composite instances that are created by a single modality, multiple modalities, or by multiple devices of the same modality. The study information is modality-independent. Study Act clinical statements are only instantiated in the DICOM Object Catalog section; in other sections, the SOP Instance Observation is included directly.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.6.2.6-2015-08-13T000000">
   <title>Study Act</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]]
Item: (StudyAct)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]
Item: (StudyAct)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]"
         id="d42e8234-false-d126055e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.6-2015-08-13T000000.html"
              test="string(@classCode) = ('ACT')">CONF:81-9207: The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.6-2015-08-13T000000.html"
              test="string(@moodCode) = ('EVN')">CONF:81-9208: The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.6-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']) &gt;= 1">(StudyAct): element cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.6-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']) &lt;= 1">(StudyAct): element cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.6-2015-08-13T000000.html"
              test="count(cda:id[not(@extension)]) &gt;= 1">(StudyAct): element cda:id[not(@extension)] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.6-2015-08-13T000000.html"
              test="count(cda:code[(@code = '113014' and @codeSystem = '1.2.840.10008.2.16.4')]) &gt;= 1">(StudyAct): element cda:code[(@code = '113014' and @codeSystem = '1.2.840.10008.2.16.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.6-2015-08-13T000000.html"
              test="count(cda:code[(@code = '113014' and @codeSystem = '1.2.840.10008.2.16.4')]) &lt;= 1">(StudyAct): element cda:code[(@code = '113014' and @codeSystem = '1.2.840.10008.2.16.4')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.6-2015-08-13T000000.html"
              test="count(cda:text) &lt;= 1">(StudyAct): element cda:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.6-2015-08-13T000000.html"
              test="count(cda:effectiveTime) &lt;= 1">(StudyAct): element cda:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.6-2015-08-13T000000.html"
              test="count(cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]]) &gt;= 1">(StudyAct): element cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]/cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']
Item: (StudyAct)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]/cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']"
         id="d42e8252-false-d126122e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.6-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(StudyAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.6-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.6.2.6')">CONF:81-10533: The value for root SHALL be '2.16.840.1.113883.10.20.6.2.6'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]/cda:id[not(@extension)]
Item: (StudyAct)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]/cda:id[not(@extension)]"
         id="d42e8268-false-d126136e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.6-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(StudyAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.6-2015-08-13T000000.html"
              test="@root">CONF:81-9213: attribute @root SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.6-2015-08-13T000000.html"
              test="not(@extension)">(StudyAct): attribute @extension MAY NOT be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]/cda:code[(@code = '113014' and @codeSystem = '1.2.840.10008.2.16.4')]
Item: (StudyAct)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]/cda:code[(@code = '113014' and @codeSystem = '1.2.840.10008.2.16.4')]"
         id="d42e8290-false-d126154e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.6-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(StudyAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.6-2015-08-13T000000.html"
              test="@nullFlavor or (@code='113014' and @codeSystem='1.2.840.10008.2.16.4')">(StudyAct): The element value SHALL be one of 'code '113014' codeSystem '1.2.840.10008.2.16.4''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]/cda:text
Item: (StudyAct)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]/cda:text"
         id="d42e8301-false-d126170e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.6-2015-08-13T000000.html"
              test="count(cda:reference) &lt;= 1">(StudyAct): element cda:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]/cda:text/cda:reference
Item: (StudyAct)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]/cda:text/cda:reference"
         id="d42e8310-false-d126184e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.6-2015-08-13T000000.html"
              test="not(@value) or starts-with(@value, '#')">(StudyAct): This reference/@value SHALL begin with a '#' and SHALL point to its corresponding narrative (using the approach defined in CDA Release 2, section 4.3.5.1)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]/cda:effectiveTime
Item: (StudyAct)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]/cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]]
Item: (StudyAct)
-->
   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]/cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.6-2015-08-13T000000.html"
              test="string(@typeCode) = ('COMP')">CONF:81-9220: The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
