<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.6.2.8
Name: SOP Instance Observation
Description: A SOP Instance Observation contains the DICOM Service Object Pair (SOP) Instance information for referenced DICOM composite objects. The SOP Instance act class is used to reference both image and non-image DICOM instances. The text attribute contains the DICOM WADO reference.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.6.2.8-2015-08-13T000000">
   <title>SOP Instance Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']]
Item: (SOPInstanceObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']]/cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']
Item: (SOPInstanceObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']]/cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']"
         id="d42e8366-false-d126239e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.8-2015-08-13T000000.html"
              test="string(@classCode) = ('DGIMG')">CONF:81-9240: The value for classCode SHALL be 'DGIMG'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.8-2015-08-13T000000.html"
              test="string(@moodCode) = ('EVN')">CONF:81-9241: The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.8-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.8']) &gt;= 1">(SOPInstanceObservation): element cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.8'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.8-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.8']) &lt;= 1">(SOPInstanceObservation): element cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.8'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.8-2015-08-13T000000.html"
              test="count(cda:id) &gt;= 1">(SOPInstanceObservation): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.8-2015-08-13T000000.html"
              test="count(cda:code[@codeSystem = '1.2.840.10008.2.6.1']) &gt;= 1">(SOPInstanceObservation): element cda:code[@codeSystem = '1.2.840.10008.2.6.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.8-2015-08-13T000000.html"
              test="count(cda:code[@codeSystem = '1.2.840.10008.2.6.1']) &lt;= 1">(SOPInstanceObservation): element cda:code[@codeSystem = '1.2.840.10008.2.6.1'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.8-2015-08-13T000000.html"
              test="count(cda:text[cda:reference]) &lt;= 1">(SOPInstanceObservation): element cda:text[cda:reference] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.8-2015-08-13T000000.html"
              test="count(cda:effectiveTime) &lt;= 1">(SOPInstanceObservation): element cda:effectiveTime appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']]/cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']/cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.8']
Item: (SOPInstanceObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']]/cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']/cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.8']"
         id="d42e8384-false-d126312e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.8-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.8-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.6.2.8')">(SOPInstanceObservation): The value for root SHALL be '2.16.840.1.113883.10.20.6.2.8'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']]/cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']/cda:id
Item: (SOPInstanceObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']]/cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']/cda:id"
         id="d42e8392-false-d126326e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.8-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']]/cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']/cda:code[@codeSystem = '1.2.840.10008.2.6.1']
Item: (SOPInstanceObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']]/cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']/cda:code[@codeSystem = '1.2.840.10008.2.6.1']"
         id="d42e8402-false-d126337e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.8-2015-08-13T000000.html"
              test="@nullFlavor or (@codeSystem='1.2.840.10008.2.6.1')">(SOPInstanceObservation): The element value SHALL be one of 'codeSystem '1.2.840.10008.2.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']]/cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']/cda:text[cda:reference]
Item: (SOPInstanceObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']]/cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']/cda:text[cda:reference]"
         id="d42e8420-false-d126350e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.8-2015-08-13T000000.html"
              test="string(@mediaType) = ('application/dicom')">CONF:81-9247: The value for mediaType SHALL be 'application/dicom'. Found: "<value-of select="@mediaType"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.8-2015-08-13T000000.html"
              test="count(cda:reference) &gt;= 1">(SOPInstanceObservation): element cda:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.8-2015-08-13T000000.html"
              test="count(cda:reference) &lt;= 1">(SOPInstanceObservation): element cda:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']]/cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']/cda:text[cda:reference]/cda:reference
Item: (SOPInstanceObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']]/cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']/cda:effectiveTime
Item: (SOPInstanceObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']]/cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']/cda:effectiveTime"
         id="d42e8447-false-d126378e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.8-2015-08-13T000000.html"
              test="@value">CONF:81-9251: attribute @value SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.8-2015-08-13T000000.html"
              test="count(cda:low) = 0">(SOPInstanceObservation): element cda:low MAY NOT be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.8-2015-08-13T000000.html"
              test="count(cda:high) = 0">(SOPInstanceObservation): element cda:high MAY NOT be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']]/cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']/cda:effectiveTime/cda:low
Item: (SOPInstanceObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']]/cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']/cda:effectiveTime/cda:high
Item: (SOPInstanceObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']]/cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']/cda:entryRelationship[@typeCode = 'SUBJ']
Item: (SOPInstanceObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']]/cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']/cda:entryRelationship[@typeCode = 'SUBJ']"
         id="d42e8479-false-d126417e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.8-2015-08-13T000000.html"
              test="string(@typeCode) = ('SUBJ')">CONF:81-9255: The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']]/cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.9']]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']]/cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.9']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.8-2015-08-13T000000.html"
              test="string(@typeCode) = ('RSON')">CONF:81-9258: The value for typeCode SHALL be 'RSON'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']]/cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.10']]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']]/cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1']/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.10']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.8-2015-08-13T000000.html"
              test="string(@typeCode) = ('COMP')">CONF:81-9261: The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
