<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.6.2.9
Name: Purpose of Reference Observation
Description: A Purpose of Reference Observation describes the purpose of the DICOM composite object reference. Appropriate codes, such as externally defined DICOM codes, may be used to specify the semantics of the purpose of reference. When this observation is absent, it implies that the reason for the reference is unknown.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.6.2.9-2015-08-13T000000">
   <title>Purpose of Reference Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.9
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.9']]]
Item: (PurposeofReferenceObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.9
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.9']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.9']]
Item: (PurposeofReferenceObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.9']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.9']]"
         id="d42e8537-false-d126484e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.9-2015-08-13T000000.html"
              test="string(@classCode) = ('OBS')">CONF:81-9264: The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.9-2015-08-13T000000.html"
              test="string(@moodCode) = ('EVN')">CONF:81-9265: The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.9-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.9']) &gt;= 1">(PurposeofReferenceObservation): element cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.9'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.9-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.9']) &lt;= 1">(PurposeofReferenceObservation): element cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.9'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.9-2015-08-13T000000.html"
              test="count(cda:code[(@code = 'ASSERTION' and @codeSystem = '2.16.840.1.113883.5.4')]) &gt;= 1">(PurposeofReferenceObservation): element cda:code[(@code = 'ASSERTION' and @codeSystem = '2.16.840.1.113883.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.9-2015-08-13T000000.html"
              test="count(cda:code[(@code = 'ASSERTION' and @codeSystem = '2.16.840.1.113883.5.4')]) &lt;= 1">(PurposeofReferenceObservation): element cda:code[(@code = 'ASSERTION' and @codeSystem = '2.16.840.1.113883.5.4')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.9-2015-08-13T000000.html"
              test="count(cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.20.9.28-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(PurposeofReferenceObservation): element cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.20.9.28-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.9
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.9']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.9']]/cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.9']
Item: (PurposeofReferenceObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.9']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.9']]/cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.9']"
         id="d42e8555-false-d126528e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.9-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(PurposeofReferenceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.9-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.6.2.9')">CONF:81-10531: The value for root SHALL be '2.16.840.1.113883.10.20.6.2.9'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.9
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.9']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.9']]/cda:code[(@code = 'ASSERTION' and @codeSystem = '2.16.840.1.113883.5.4')]
Item: (PurposeofReferenceObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.9']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.9']]/cda:code[(@code = 'ASSERTION' and @codeSystem = '2.16.840.1.113883.5.4')]"
         id="d42e8571-false-d126543e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.9-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(PurposeofReferenceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.9-2015-08-13T000000.html"
              test="@nullFlavor or (@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')">(PurposeofReferenceObservation): The element value SHALL be one of 'code 'ASSERTION' codeSystem '2.16.840.1.113883.5.4''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.9
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.9']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.9']]/cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.20.9.28-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (PurposeofReferenceObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.9']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.9']]/cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.20.9.28-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e8581-false-d126562e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.9-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(PurposeofReferenceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20210827T123014/tmp-2.16.840.1.113883.10.20.6.2.9-2015-08-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.20.9.28-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(PurposeofReferenceObservation): The element value SHALL be one of '2.16.840.1.113883.11.20.9.28 DICOMPurposeOfReference (DYNAMIC)'.</assert>
   </rule>
</pattern>
